import request from '@/utils/request'

export function listFastgptFastgptpushtokentotal(query) {
  return request({
    url: '/qw/pushCount/tokenList',
    method: 'get',
    params: query
  })
}

export function getFastgptFastgptpushtokentotal(id) {
  return request({
    url: '/qw/pushCount/tokenList/' + id,
    method: 'get'
  })
}

export function addFastgptFastgptpushtokentotal(data) {
  return request({
    url: '/qw/pushCount/tokenList',
    method: 'post',
    data: data
  })
}

export function updateFastgptFastgptpushtokentotal(data) {
  return request({
    url: '/qw/pushCount/tokenList',
    method: 'put',
    data: data
  })
}

export function delFastgptFastgptpushtokentotal(id) {
  return request({
    url: '/qw/pushCount/tokenList/' + id,
    method: 'delete'
  })
}

export function exportFastgptFastgptpushtokentotal(query) {
  return request({
    url: '/qw/pushCount/tokenList/export',
    method: 'get',
    params: query
  })
}
